*** core/base/Headers/Additions/GNUstepBase/GSXML.h.orig	Sun Aug 29 17:56:16 2004
--- core/base/Headers/Additions/GNUstepBase/GSXML.h	Sun Aug 29 17:57:30 2004
***************
*** 87,101 ****
    id	_parent;
  }
  
! + (NSString*) descriptionFromType: (int)type;
! + (int) typeFromDescription: (NSString*)desc;
  
  - (NSString*) href;
  
  - (void*) lib;
  - (GSXMLNamespace*) next;
  - (NSString*) prefix;
! - (int) type;
  - (NSString*) typeDescription;
  
  @end
--- 87,101 ----
    id	_parent;
  }
  
! + (NSString*) descriptionFromType: (long)type;
! + (long) typeFromDescription: (NSString*)desc;
  
  - (NSString*) href;
  
  - (void*) lib;
  - (GSXMLNamespace*) next;
  - (NSString*) prefix;
! - (long) type;
  - (NSString*) typeDescription;
  
  @end
***************
*** 108,115 ****
    id	_parent;
  }
  
! + (NSString*) descriptionFromType: (int)type;
! + (int) typeFromDescription: (NSString*)desc;
  
  - (NSDictionary*) attributes;
  - (NSString*) content;
--- 108,115 ----
    id	_parent;
  }
  
! + (NSString*) descriptionFromType: (long)type;
! + (long) typeFromDescription: (NSString*)desc;
  
  - (NSDictionary*) attributes;
  - (NSString*) content;
***************
*** 145,151 ****
  - (NSMutableDictionary*) propertiesAsDictionaryWithKeyTransformationSel:
    (SEL)keyTransformSel;
  - (void) setObject: (NSString*)value forKey:(NSString*)key;
! - (int) type;
  - (NSString*) typeDescription;
  - (void) setNamespace: (GSXMLNamespace *)space;
  
--- 145,151 ----
  - (NSMutableDictionary*) propertiesAsDictionaryWithKeyTransformationSel:
    (SEL)keyTransformSel;
  - (void) setObject: (NSString*)value forKey:(NSString*)key;
! - (long) type;
  - (NSString*) typeDescription;
  - (void) setNamespace: (GSXMLNamespace *)space;
  
***************
*** 222,242 ****
  	     value: (NSString*)value;
  - (void) attributeDecl: (NSString*)nameElement
                    name: (NSString*)name
!                   type: (int)type
!           typeDefValue: (int)defType
            defaultValue: (NSString*)value;
  - (void) characters: (NSString*)name;
  - (void) cdataBlock: (NSData*)value;
  - (void) comment: (NSString*) value;
  - (void) elementDecl: (NSString*)name
! 		type: (int)type;
  - (void) endDocument;
  - (void) endElement: (NSString*)elementName;
  - (void) endElement: (NSString*)elementName
               prefix: (NSString*)prefix
  	       href: (NSString*)href;
  - (void) entityDecl: (NSString*)name
!                type: (int)type
               public: (NSString*)publicId
               system: (NSString*)systemId
              content: (NSString*)content;
--- 222,242 ----
  	     value: (NSString*)value;
  - (void) attributeDecl: (NSString*)nameElement
                    name: (NSString*)name
!                   type: (long)type
!           typeDefValue: (long)defType
            defaultValue: (NSString*)value;
  - (void) characters: (NSString*)name;
  - (void) cdataBlock: (NSData*)value;
  - (void) comment: (NSString*) value;
  - (void) elementDecl: (NSString*)name
! 		type: (long)type;
  - (void) endDocument;
  - (void) endElement: (NSString*)elementName;
  - (void) endElement: (NSString*)elementName
               prefix: (NSString*)prefix
  	       href: (NSString*)href;
  - (void) entityDecl: (NSString*)name
!                type: (long)type
               public: (NSString*)publicId
               system: (NSString*)systemId
              content: (NSString*)content;
*** core/base/Source/Additions/GSXML.m.orig	Sun Aug 29 17:57:51 2004
--- core/base/Source/Additions/GSXML.m	Sun Aug 29 18:07:51 2004
***************
*** 215,225 ****
      }
  }
  
! + (int) typeFromDescription: (NSString*)desc
  {
    NSMapEnumerator	enumerator;
    NSString		*val;
!   int			key;
  
    enumerator = NSEnumerateMapTable(attrNames);
    while (NSNextMapEnumeratorPair(&enumerator, (void**)&key, (void**)&val))
--- 215,225 ----
      }
  }
  
! + (long) typeFromDescription: (NSString*)desc
  {
    NSMapEnumerator	enumerator;
    NSString		*val;
!   long			key;
  
    enumerator = NSEnumerateMapTable(attrNames);
    while (NSNextMapEnumeratorPair(&enumerator, (void**)&key, (void**)&val))
***************
*** 232,247 ****
    return -1;
  }
  
! + (NSString*) descriptionFromType: (int)type
  {
    NSString	*desc = (NSString*)NSMapGet(attrNames, (void*)type);
  
    return desc;
  }
  
! - (int) type
  {
!   return (int)((xmlAttrPtr)(lib))->atype;
  }
  
  - (NSString*) typeDescription
--- 232,247 ----
    return -1;
  }
  
! + (NSString*) descriptionFromType: (long)type
  {
    NSString	*desc = (NSString*)NSMapGet(attrNames, (void*)type);
  
    return desc;
  }
  
! - (long) type
  {
!   return (long)((xmlAttrPtr)(lib))->atype;
  }
  
  - (NSString*) typeDescription
***************
*** 391,397 ****
  
  - (unsigned) hash
  {
!   return (unsigned)lib;
  }
  
  - (id) init
--- 391,397 ----
  
  - (unsigned) hash
  {
!   return (unsigned)((long)lib >> 2);
  }
  
  - (id) init
***************
*** 535,541 ****
  /**
   * Return the string representation of the specified numeric type.
   */
! + (NSString*) descriptionFromType: (int)type
  {
    NSString	*desc = (NSString*)NSMapGet(nsNames, (void*)type);
  
--- 535,541 ----
  /**
   * Return the string representation of the specified numeric type.
   */
! + (NSString*) descriptionFromType: (long)type
  {
    NSString	*desc = (NSString*)NSMapGet(nsNames, (void*)type);
  
***************
*** 564,574 ****
   *   <item>XML_LOCAL_NAMESPACE</item>
   * </list>
   */
! + (int) typeFromDescription: (NSString*)desc
  {
    NSMapEnumerator	enumerator;
    NSString		*val;
!   int			key;
  
    enumerator = NSEnumerateMapTable(nsNames);
    while (NSNextMapEnumeratorPair(&enumerator, (void**)&key, (void**)&val))
--- 564,574 ----
   *   <item>XML_LOCAL_NAMESPACE</item>
   * </list>
   */
! + (long) typeFromDescription: (NSString*)desc
  {
    NSMapEnumerator	enumerator;
    NSString		*val;
!   long			key;
  
    enumerator = NSEnumerateMapTable(nsNames);
    while (NSNextMapEnumeratorPair(&enumerator, (void**)&key, (void**)&val))
***************
*** 594,600 ****
  
  - (unsigned) hash
  {
!   return (unsigned)lib;
  }
  
  /**
--- 594,600 ----
  
  - (unsigned) hash
  {
!   return (unsigned)((long)lib >> 2);
  }
  
  /**
***************
*** 658,664 ****
  /**
   * Return type of namespace
   */
! - (int) type
  {
    return (int)((xmlNsPtr)(lib))->type;
  }
--- 658,664 ----
  /**
   * Return type of namespace
   */
! - (long) type
  {
    return (int)((xmlNsPtr)(lib))->type;
  }
***************
*** 712,718 ****
  /**
   * Return the string constant value for the node type given.
   */
! + (NSString*) descriptionFromType: (int)type
  {
    NSString	*desc = (NSString*)NSMapGet(nodeNames, (void*)type);
  
--- 712,718 ----
  /**
   * Return the string constant value for the node type given.
   */
! + (NSString*) descriptionFromType: (long)type
  {
    NSString	*desc = (NSString*)NSMapGet(nodeNames, (void*)type);
  
***************
*** 791,801 ****
   *   <item>XML_ENTITY_DECL</item>
   * </list>
   */
! + (int) typeFromDescription: (NSString*)desc
  {
    NSMapEnumerator	enumerator;
    NSString		*val;
!   int			key;
  
    enumerator = NSEnumerateMapTable(nodeNames);
    while (NSNextMapEnumeratorPair(&enumerator, (void**)&key, (void**)&val))
--- 791,801 ----
   *   <item>XML_ENTITY_DECL</item>
   * </list>
   */
! + (long) typeFromDescription: (NSString*)desc
  {
    NSMapEnumerator	enumerator;
    NSString		*val;
!   long			key;
  
    enumerator = NSEnumerateMapTable(nodeNames);
    while (NSNextMapEnumeratorPair(&enumerator, (void**)&key, (void**)&val))
***************
*** 1145,1151 ****
  
  - (unsigned) hash
  {
!   return (unsigned)lib;
  }
  
  - (id) init
--- 1145,1151 ----
  
  - (unsigned) hash
  {
!   return (unsigned)((long)lib >> 2);
  }
  
  - (id) init
***************
*** 1604,1610 ****
   * use this method and compare the return value with a value you previously
   * obtained using the +typeFromDescription: method.
   */
! - (int) type
  {
    return (int)((xmlNodePtr)(lib))->type;
  }
--- 1604,1610 ----
   * use this method and compare the return value with a value you previously
   * obtained using the +typeFromDescription: method.
   */
! - (long) type
  {
    return (int)((xmlNodePtr)(lib))->type;
  }
***************
*** 3134,3140 ****
   * An entity definition has been parsed.
   */
  - (void) entityDecl: (NSString*)name
! 	       type: (int)type
  	     public: (NSString*)publicId
  	     system: (NSString*)systemId
  	    content: (NSString*)content
--- 3134,3140 ----
   * An entity definition has been parsed.
   */
  - (void) entityDecl: (NSString*)name
! 	       type: (long)type
  	     public: (NSString*)publicId
  	     system: (NSString*)systemId
  	    content: (NSString*)content
***************
*** 3146,3153 ****
   */
  - (void) attributeDecl: (NSString*)nameElement
  		  name: (NSString*)name
! 		  type: (int)type
! 	  typeDefValue: (int)defType
  	  defaultValue: (NSString*)value
  {
  }
--- 3146,3153 ----
   */
  - (void) attributeDecl: (NSString*)nameElement
  		  name: (NSString*)name
! 		  type: (long)type
! 	  typeDefValue: (long)defType
  	  defaultValue: (NSString*)value
  {
  }
***************
*** 3156,3162 ****
   * An element definition has been parsed.
   */
  - (void) elementDecl: (NSString*)name
! 		type: (int)type
  {
  }
  
--- 3156,3162 ----
   * An element definition has been parsed.
   */
  - (void) elementDecl: (NSString*)name
! 		type: (long)type
  {
  }
  
